Subject: Re: [PATCH 1/2] e1000: fix netpoll with NAPI

From: Mitch Williams <[email-masked]>
Date: Thu, 08 Jun 2006 10:23:56 -0700

On Wed, 2006-06-07 at 11:54 -0700, John W. Linville wrote:

> Pedantic objection, but I think this would read easier w/o the extra
> newline before disable_irq.

Heh.  I prefer to have a newline between declarations and code.  The
real problem is the position of the #ifdef -- that's what makes it
difficult to read.  The other solution would be
{
        struct e1000_adapter *adapter = netdev_priv(netdev);
#ifdef CONFIG_E1000_NAPI
	int budget = 0;
#endif

	disable_irq(adapter->pdev->irq);

#ifdef CONFIG_E1000_NAPI
	< all that stuff >
#else
	<rest of the stuff >
#endif
}

Which I think is worse to read.
-Mitch